API reference
Every HTTP endpoint of the db-postgres module: authentication, IAM action, parameters, bodies and status codes.
Generated from the module's code when its image was built — do not edit. Paths are relative to https://api.example.com.
Cluster
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters
List all postgresclusters in a resource group
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path - Operation name:
ListClusters
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/config
Get list configuration for postgresclusters
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path - Operation name:
GetClustersConfig
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | string |
Yes |
resourceGroupName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
DELETE /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}
Delete a cluster
- Authentication: required
- IAM action:
postgrescluster/delete— evaluated at the resource in the path - Operation name:
DeleteCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/delete at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}
Get a specific cluster
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path - Operation name:
GetCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
PATCH /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}
Partially update an existing cluster using JSON Merge Patch
- Authentication: required
- IAM action:
postgrescluster/write— evaluated at the resource in the path - Operation name:
PatchCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Request body: any
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/write at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}
Create a new cluster
- Authentication: required
- IAM action:
postgrescluster/write— evaluated at the resource in the path - Operation name:
CreateCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Request body: PostgresClusterDto
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/write at the evaluated scope |
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}
Update an existing cluster
- Authentication: required
- IAM action:
postgrescluster/write— evaluated at the resource in the path - Operation name:
UpdateCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Request body: PostgresClusterDto
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/write at the evaluated scope |
PUT /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}/actions/{action}
Execute a lifecycle action (start, stop, restart) on a cluster
- Authentication: required
- IAM action:
postgrescluster/write— evaluated at the resource in the path - Operation name:
ExecuteClusterAction
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
action |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/write at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}/scale
Get current scale of a cluster
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path - Operation name:
GetClusterScale
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}/scale
Scale a cluster
- Authentication: required
- IAM action:
postgrescluster/scale— evaluated at the resource in the path - Operation name:
ScaleCluster
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Request body: ScaleRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/scale at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}/snapshots
List snapshots of a cluster
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path - Operation name:
ListClusterSnapshots
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}/snapshots
Create a snapshot of a cluster
- Authentication: required
- IAM action:
postgrescluster/createSnapshot— evaluated at the resource in the path - Operation name:
CreateClusterSnapshot
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Request body: CreateSnapshotRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/createSnapshot at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}/snapshots/pitr-window
The point-in-time recovery window of a cluster
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path - Operation name:
GetClusterPitrWindow
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
DELETE /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}/snapshots/{snapshotId}
Delete a snapshot of a cluster
- Authentication: required
- IAM action:
postgrescluster/deleteSnapshot— evaluated at the resource in the path - Operation name:
DeleteClusterSnapshot
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
snapshotId |
path | uuid |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/deleteSnapshot at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{resourceName}/snapshots/{snapshotId}/restore
Restore a cluster from a snapshot
- Authentication: required
- IAM action:
postgrescluster/restoreSnapshot— evaluated at the resource in the path - Operation name:
RestoreClusterFromSnapshot
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
resourceName |
path | string |
Yes |
snapshotId |
path | uuid |
Yes |
Request body: RestoreSnapshotRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/restoreSnapshot at the evaluated scope |
GET /boundaries/{boundaryId}/resources/postgresclusters
List all postgresclusters across all resource groups
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path - Operation name:
ListAllClusters
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
GET /boundaries/{boundaryId}/resources/postgresclusters/config
Get list configuration for all postgresclusters
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path - Operation name:
GetAllClustersConfig
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
Docs
GET /docs/db-postgres/manifest.json
- Authentication: required
- Operation name:
DocsManifest_db-postgres
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
GET /docs/db-postgres/{path}
- Authentication: required
- Operation name:
DocsFile_db-postgres
Parameters
| Name | In | Type | Required |
|---|---|---|---|
path |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
PostgreSQL Compute Plans
GET /boundaries/{boundaryId}/resources/postgrescomputeplans
List all available postgrescomputeplans
- Authentication: required
- Operation name:
ListPostgreSQLComputePlans
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | PagedListResponse<PostgresResourcePlanDto> |
401 |
Not signed in, or the token is invalid | |
500 |
Internal error | ProblemDetails |
GET /boundaries/{boundaryId}/resources/postgrescomputeplans/{resourceId}
Get a specific postgrescomputeplan by ID
- Authentication: required
- Operation name:
GetPostgreSQLComputePlan
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceId |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | PostgresResourcePlanDto |
401 |
Not signed in, or the token is invalid | |
404 |
Not found | |
500 |
Internal error | ProblemDetails |
PostgreSQL Databases
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/connectionstring
Get the internal connection string for a PostgreSQL cluster
- Authentication: required
- IAM action:
postgrescluster/readSecrets— evaluated at the resource in the path; a data action
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/readSecrets at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/connectionstring/external
Get the external (LoadBalancer) connection string for a PostgreSQL cluster
- Authentication: required
- IAM action:
postgrescluster/readSecrets— evaluated at the resource in the path; a data action
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/readSecrets at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/external-ip
Get the externally reachable address of a PostgreSQL cluster's ingress
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/health
Check if a PostgreSQL cluster is healthy
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
PostgreSQL Editor
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/history
List recent editor activity for a cluster (most recent first).
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
limit |
query | integer |
No |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/query
Classify, authorize, and (optionally) execute a SQL batch against a postgres cluster.
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
Request body: EditorQueryRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/schemas
List schemas, tables, columns, and primary keys for the cluster's databases.
- Authentication: required
- IAM action:
postgrescluster/schemaRead— evaluated at the resource in the path; a data action
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/schemaRead at the evaluated scope |
GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/tables/{schema}/{table}/rows
List rows in a table (keyset-friendly ordering on the primary key).
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
schema |
path | string |
Yes |
table |
path | string |
Yes |
limit |
query | integer |
No |
offset |
query | integer |
No |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/tables/{schema}/{table}/rows
Insert a row into the table via structured payload.
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
schema |
path | string |
Yes |
table |
path | string |
Yes |
Request body: RowMutationRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
DELETE /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/tables/{schema}/{table}/rows/{pkValue}
Delete a row identified by its single-column primary key.
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
schema |
path | string |
Yes |
table |
path | string |
Yes |
pkValue |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
PATCH /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/tables/{schema}/{table}/rows/{pkValue}
Update a row identified by its single-column primary key.
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
schema |
path | string |
Yes |
table |
path | string |
Yes |
pkValue |
path | string |
Yes |
Request body: RowMutationRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/tables/{schema}/{table}/rows:bulk
Update multiple rows in one atomic transaction, each identified by its single-column primary key.
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
schema |
path | string |
Yes |
table |
path | string |
Yes |
Request body: BulkUpdateRowsRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/tables/{schema}/{table}/rows:bulk-delete
Delete multiple rows in one atomic transaction by single-column primary key.
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
schema |
path | string |
Yes |
table |
path | string |
Yes |
Request body: BulkDeleteRowsRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/postgresclusters/{name}/editor/tables/{schema}/{table}/rows:bulk-insert
Insert multiple rows in one atomic transaction.
- Authentication: required
- IAM action:
postgrescluster/read— evaluated at the resource in the path
Parameters
| Name | In | Type | Required |
|---|---|---|---|
boundaryId |
path | uuid |
Yes |
resourceGroupName |
path | string |
Yes |
name |
path | string |
Yes |
schema |
path | string |
Yes |
table |
path | string |
Yes |
Request body: BulkInsertRowsRequest
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid | |
403 |
The caller does not hold postgrescluster/read at the evaluated scope |
Other endpoints
GET /readyz
- Authentication: none — anonymous callers are accepted
- Operation name:
StackshipReadiness
Responses
| Status | Meaning | Body |
|---|
Schemas
BulkDeleteRowsRequest
| Property | Type | Nullable |
|---|---|---|
pkValues |
string [] |
No |
BulkInsertRowsRequest
| Property | Type | Nullable |
|---|---|---|
rows |
map (any) [] |
No |
BulkRowUpdate
| Property | Type | Nullable |
|---|---|---|
pkValue |
string |
No |
values |
map (any) |
No |
BulkUpdateRowsRequest
| Property | Type | Nullable |
|---|---|---|
updates |
BulkRowUpdate [] |
No |
CreateSnapshotRequest
| Property | Type | Nullable |
|---|---|---|
description |
string |
Yes |
ttlHours |
integer |
Yes |
EditorQueryRequest
| Property | Type | Nullable |
|---|---|---|
defaultSchema |
string |
No |
maxRows |
integer |
Yes |
mode |
ExecutionMode |
No |
priorCorrelationId |
uuid |
Yes |
readOnly |
boolean |
No |
sql |
string |
No |
statementTimeoutMs |
integer |
Yes |
ExecutionMode
One of: Review, DryRun, Commit.
PagedListResponse<PostgresResourcePlanDto>
| Property | Type | Nullable |
|---|---|---|
items |
PostgresResourcePlanDto [] |
No |
pagination |
PaginationMeta |
No |
PaginationMeta
| Property | Type | Nullable |
|---|---|---|
hasNextPage |
boolean |
No |
hasPreviousPage |
boolean |
No |
page |
integer |
No |
pageSize |
integer |
No |
totalItems |
integer |
No |
totalPages |
integer |
No |
PostgresClusterDto
| Property | Type | Nullable |
|---|---|---|
allowedCidrs |
string |
Yes |
backupConfigured |
boolean |
No |
backupRetentionPolicy |
string |
Yes |
backupSchedule |
string |
Yes |
boundary |
string |
No |
boundaryId |
uuid |
No |
clusterId |
uuid |
No |
clusterName |
string |
No |
collection |
string |
No |
computePlan |
string |
Yes |
cpuLimit |
string |
Yes |
cpuRequest |
string |
Yes |
createdAt |
date-time |
No |
currentPrimary |
string |
Yes |
databaseName |
string |
Yes |
enableLoadBalancer |
boolean |
No |
enableSsl |
boolean |
No |
id |
uuid |
No |
imageName |
string |
Yes |
instances |
integer |
Yes |
memoryLimit |
string |
Yes |
memoryRequest |
string |
Yes |
monitoringEnabled |
boolean |
No |
name |
string |
No |
networkPolicy |
string |
Yes |
pgBouncerEnabled |
boolean |
Yes |
pgBouncerInstances |
integer |
Yes |
pgBouncerPoolMode |
string |
Yes |
phase |
string |
Yes |
postgresVersion |
string |
No |
postgresqlParameters |
map (string) |
Yes |
publicEndpoint |
string |
Yes |
readService |
string |
Yes |
readyInstances |
integer |
Yes |
region |
string |
No |
resourceGroup |
string |
No |
resourcePlanId |
string |
Yes |
restartImpact |
string |
Yes |
status |
string |
No |
storageClass |
string |
Yes |
storageSize |
string |
Yes |
tags |
map (string) |
No |
walStorageSize |
string |
Yes |
warnings |
string [] |
Yes |
writeService |
string |
Yes |
PostgresResourcePlanDto
| Property | Type | Nullable |
|---|---|---|
cpuLimit |
string |
No |
cpuRequest |
string |
No |
description |
string |
No |
engineParameters |
map (string) |
No |
id |
string |
No |
isProductionReady |
boolean |
No |
memoryLimit |
string |
No |
memoryRequest |
string |
No |
name |
string |
No |
poolingEnabled |
boolean |
No |
poolingInstances |
integer |
Yes |
poolingMode |
string |
Yes |
replicas |
integer |
No |
storageClass |
string |
No |
storageSize |
string |
No |
verdict |
string |
No |
verdictReason |
string |
Yes |
walStorageSize |
string |
Yes |
RestoreSnapshotRequest
| Property | Type | Nullable |
|---|---|---|
targetTime |
date-time |
Yes |
RowMutationRequest
| Property | Type | Nullable |
|---|---|---|
values |
map (any) |
No |
ScaleRequest
| Property | Type | Nullable |
|---|---|---|
targetScale |
integer |
No |